Get the results of the consignment metrics report

Body·
application/json
  • carrierPartnerId
    Type: string | nullFormat: uuid

    The carrier partner to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • consignmentType
    Type: integerenum

    Integer numbers.

    values
    • PointToPoint = 0
    • Inwards = 1
    • Outwards = 2
  • dateFrom
    Type: stringFormat: date

    The start date in the consignment date range

  • dateTo
    Type: stringFormat: date

    The end date in the consignment date range

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/consignment-metrics
curl https://api.consignlyhq.com/v1/reports/consignment-metrics \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "consignmentType": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
  "clientPartnerId": null,
  "carrierPartnerId": null,
  "warehouseId": null
}'
[
  {
    "clientName": null,
    "type": "enum (PointToPoint = 0, Inwards = 1, Outwards = 2)",
    "consignmentNumber": null,
    "referenceNumber": null,
    "dateEntered": "date (YYYY-MM-DD)",
    "carrierName": null,
    "consigneeName": null,
    "poNumber": null,
    "soNumber": null,
    "receiversReference": null,
    "sendersReference": null,
    "warehouseName": null,
    "serviceTypeNames": [
      "string"
    ],
    "quantity": 1,
    "weightKG": 1,
    "volumeM3": 1,
    "virtualPalletQuantity": 1,
    "virtualPalletPartThereofQuantity": 1
  }
]